Bug 863257 - SELinux is preventing /usr/bin/gnome-shell from 'search' accesses on the directory vm.
SELinux is preventing /usr/bin/gnome-shell from 'search' accesses on the dire...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:f7eeec4e72d602aff64fc7420ac...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-04 16:16 EDT by Nicolas Mailhot
Modified: 2012-12-15 14:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-15 14:19:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-10-04 16:16 EDT, Nicolas Mailhot
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-10-04 16:16 EDT, Nicolas Mailhot
no flags Details

  None (edit)
Description Nicolas Mailhot 2012-10-04 16:16:36 EDT
Additional info:
libreport version: 2.0.14
kernel:         3.6.0-3.fc18.x86_64

description:
:SELinux is preventing /usr/bin/gnome-shell from 'search' accesses on the directory vm.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If vous pensez que gnome-shell devrait être autorisé à accéder search sur vm directory par défaut.
:Then vous devriez rapporter ceci en tant qu'anomalie.
:Vous pouvez générer un module de stratégie local pour autoriser cet accès.
:Do
:autoriser cet accès pour le moment en exécutant :
:# grep pool /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:sysctl_vm_t:s0
:Target Objects                vm [ dir ]
:Source                        pool
:Source Path                   /usr/bin/gnome-shell
:Port                          <Inconnu>
:Host                          (removed)
:Source RPM Packages           gnome-shell-3.6.0-1.fc18.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.11.1-29.fc18.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.6.0-3.fc18.x86_64 #1 SMP Wed Oct
:                              3 13:29:15 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    2012-10-04 22:12:53 CEST
:Last Seen                     2012-10-04 22:12:53 CEST
:Local ID                      52c6b8d1-e22c-46c4-83da-fba4163ccb6b
:
:Raw Audit Messages
:type=AVC msg=audit(1349381573.960:87): avc:  denied  { search } for  pid=1283 comm="pool" name="vm" dev="proc" ino=15870 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:sysctl_vm_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1349381573.960:87): arch=x86_64 syscall=open success=no exit=EACCES a0=7fbe4c4832e0 a1=80000 a2=fffffffffffff800 a3=21750 items=0 ppid=1167 pid=1283 auid=42 uid=42 gid=42 euid=42 suid=42 fsuid=42 egid=42 sgid=42 fsgid=42 tty=(none) ses=2 comm=pool exe=/usr/bin/gnome-shell subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)
:
:Hash: pool,xdm_t,sysctl_vm_t,dir,search
:
:audit2allow
:
:#============= xdm_t ==============
:allow xdm_t sysctl_vm_t:dir search;
:
:audit2allow -R
:
:#============= xdm_t ==============
:allow xdm_t sysctl_vm_t:dir search;
:
Comment 1 Nicolas Mailhot 2012-10-04 16:16:39 EDT
Created attachment 621816 [details]
File: type
Comment 2 Nicolas Mailhot 2012-10-04 16:16:41 EDT
Created attachment 621817 [details]
File: hashmarkername
Comment 3 Miroslav Grepl 2012-10-05 07:38:35 EDT
I see more and more domains which want this access.
Comment 4 Daniel Walsh 2012-10-06 07:41:23 EDT
Probably a change in a low level library.  I have no idea why any app would need this without more access required.

I do not have the "pool" command on my box?

Note You need to log in before you can comment on or make changes to this bug.